<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemStreetMicroStationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemStreetMicroStation">
        <id column="id" property="id" />
        <result column="street_town" property="streetTown" />
        <result column="station_code" property="stationCode" />
        <result column="station_address" property="stationAddress" />
        <result column="linear_distance" property="linearDistance" />
        <result column="drive_distance" property="driveDistance" />
        <result column="jam_drive" property="jamDrive" />
        <result column="unimpeded_drive" property="unimpededDrive" />
        <result column="point_situation" property="pointSituation" />
        <result column="build_situation" property="buildSituation" />
        <result column="vehicle_park" property="vehiclePark" />
        <result column="birth_cert" property="birthCert" />
        <result column="birth_cert_situation" property="birthCertSituation" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
    </resultMap>

</mapper>
